> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an entity



## OpenAPI

````yaml /openapi/customer-api.json post /project/{projectId}/entities
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/entities:
    post:
      tags:
        - Entities
      summary: Create an entity
      operationId: EntitiesController_createEntity
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: >-
            Whether to assign a newly created entity to the authenticated user.
            Defaults to true.
          in: query
          name: auto_assign_owner
          required: false
          schema:
            type: boolean
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEntityDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityStateResponseDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    CreateEntityDto:
      properties:
        branchId:
          type: string
        entityType:
          description: Entity type (e.g. "task", "bug")
          type: string
        id:
          description: Entity ID (UUID). Auto-generated if omitted.
          type: string
        name:
          description: Entity name
          type: string
      required:
        - entityType
        - name
      type: object
    EntityStateResponseDto:
      properties:
        branchesChangedIn:
          items:
            type: string
          type: array
        branchesCreatedIn:
          items:
            type: string
          type: array
        createdAt:
          format: date-time
          type: string
        defaultSortKey:
          type: string
        deleted:
          type: boolean
        formulaTemplates:
          type: object
        formulas:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        links:
          $ref: '#/components/schemas/EntityLinksDto'
        type:
          type: string
        uniqueEntityNumber:
          type: number
        updatedAt:
          format: date-time
          type: string
        values:
          type: object
      required:
        - id
        - values
        - formulas
        - formulaTemplates
        - links
      type: object
    EntityLinksDto:
      properties:
        crosslinks:
          items:
            type: string
          type: array
        inbound:
          items:
            type: string
          type: array
        inboundOrder:
          additionalProperties:
            type: string
          type: object
        inboundTypes:
          additionalProperties:
            type: string
          type: object
        outbound:
          items:
            type: string
          type: array
        outboundOrder:
          additionalProperties:
            type: string
          type: object
        outboundTypes:
          additionalProperties:
            type: string
          type: object
        rootPlaced:
          type: boolean
      required:
        - inbound
        - outbound
        - crosslinks
        - inboundOrder
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````